services:
  edge_manager:
    build:
      context: .
    container_name: edge_manager
    image: edge_manager
    network_mode: host
    volumes:
      - $PWD:/EdgeManager
    restart: unless-stopped
    tty: true

  # https://hub.docker.com/_/postgres
  timescaledb:
    container_name: tsdb
    image: timescale/timescaledb-ha:pg14-latest
    network_mode: host
    restart: unless-stopped
    environment:
      POSTGRES_PASSWORD: big_dick
    volumes:
      - $PWD/config/postgresql.conf:/etc/postgresql/postgresql.conf
    command: postgres -c 'config_file=/etc/postgresql/postgresql.conf'

